/*
 * s433Server.h
 *
 *  Created on: 2024年4月29日
 *      Author: m
 */

#ifndef JNI_NET_S433SERVER_H_
#define JNI_NET_S433SERVER_H_

#include <string>

class S433Type {
public:
    inline static std::string ADDR_REQUEST = "ADDR_REQUEST";
    inline static std::string ADDR_RESPONSE = "ADDR_RESPONSE";
    inline static std::string SOS = "SOS";
    inline static std::string SOS_CANCEL = "SOS_CANCEL";
    inline static std::string SOS_OFF = "SOS_OFF";
    inline static std::string EVENT_CLICK = "EVENT_CLICK";
    inline static std::string EVENT_REPONSE = "EVENT_REPONSE";
    inline static std::string EVENT_OFF = "EVENT_OFF";
    inline static std::string EVENT_RECEIVED = "EVENT_RECEIVED";
    inline static std::string VOICE = "VOICE";
    inline static std::string VOICE_CANCEL = "VOICE_CANCEL";
    inline static std::string VOICE_OFF = "VOICE_OFF";
    inline static std::string RESTART = "RESTART";
    inline static std::string ACK = "ACK";
};

void sendAck(std::string tid);
void s433Send(const std::string msg, int count, int route);


#endif /* JNI_NET_S433SERVER_H_ */
